Name:           yamli-editor
Version:        3.0.0
Release:        1%{?dist}
Summary:        Native Yamli editor for Wayland
License:        MIT
URL:            https://github.com/ali205412/yamli-editor

# Using local source approach
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  rust
BuildRequires:  cargo
BuildRequires:  gtk3-devel
BuildRequires:  webkit2gtk4.1-devel
BuildRequires:  javascriptcoregtk4.1-devel
BuildRequires:  webkit2gtk3-devel
BuildRequires:  javascriptcoregtk4.0-devel
BuildRequires:  libsoup-devel
BuildRequires:  atk-devel
BuildRequires:  cairo-devel
BuildRequires:  gdk-pixbuf2-devel
BuildRequires:  glib2-devel
BuildRequires:  pango-devel

%description
Native Yamli editor for Wayland

%prep
%setup -q

%build
cargo build --release

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
install -m 755 target/release/yamli-editor %{buildroot}%{_bindir}/yamli-editor
install -m 644 yamli-editor.desktop %{buildroot}%{_datadir}/applications/
install -m 644 config.toml %{buildroot}%{_sysconfdir}/%{name}/

%files
%{_bindir}/yamli-editor
%{_datadir}/applications/yamli-editor.desktop
%{_sysconfdir}/%{name}/config.toml

%changelog
* Wed Apr 16 2025 GitHub Action <actions@github.com> - %{version}-1
- Update to version %{version}
